package com.ylcm.sys.domain;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 角色实体
 */
public class Role implements Serializable {

	private static final long serialVersionUID = 9062251910636681333L;

	private int roleId; // 角色id
	private String name; // 角色名称
	private String code; // 角色code
	private String info; // 角色信息
	private Timestamp crtTime; // 创建时间
	private Timestamp updTime; // 更新时间

	private List<Permission> perms; // 权限信息
	
	private List<Permission> funcs; // 功能权限

	public int getRoleId() {
		return roleId;
	}

	public void setRoleId(int roleId) {
		this.roleId = roleId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getInfo() {
		return info;
	}

	public void setInfo(String info) {
		this.info = info;
	}

	public Timestamp getCrtTime() {
		return crtTime;
	}

	public void setCrtTime(Timestamp crtTime) {
		this.crtTime = crtTime;
	}

	public Timestamp getUpdTime() {
		return updTime;
	}

	public void setUpdTime(Timestamp updTime) {
		this.updTime = updTime;
	}

	public List<Permission> getPerms() {
		return perms;
	}

	public void setPerms(List<Permission> perms) {
		this.perms = perms;
	}

	public List<Permission> getFuncs() {
		return funcs;
	}

	public void setFuncs(List<Permission> funcs) {
		this.funcs = funcs;
	}
	
	
}